org.eclipse.mat.ui.internal.views

## Class NavigatorView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ui.part.PageBookView
        - - org.eclipse.mat.ui.internal.views.NavigatorView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPartListener, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class NavigatorView
    extends PageBookView

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`NavigatorView()`

### Method Summary

### Methods inherited from class org.eclipse.ui.part.PageBookView

`createPartControl, dispose, getAdapter, getCurrentPage, getDefaultPage, init, partActivated, partBroughtToTop, partClosed, partDeactivated, partOpened, setFocus`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Constructor Detail

#### NavigatorView

    public NavigatorView()